commit:     00428d63e09c8eb5378deec5a09679547020bc83
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 21:28:17 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Dec  3 15:22:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00428d63

app-arch/rpm: 4.14.2.1 version bump

Closes: https://bugs.gentoo.org/672018
Closes: https://bugs.gentoo.org/661610
Closes: https://bugs.gentoo.org/594574
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 app-arch/rpm/Manifest            |   1 +
 app-arch/rpm/rpm-4.14.2.1.ebuild | 139 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

diff --git a/app-arch/rpm/Manifest b/app-arch/rpm/Manifest
index cf290957c92..4757fa13f69 100644
--- a/app-arch/rpm/Manifest
+++ b/app-arch/rpm/Manifest
@@ -1 +1,2 @@
 DIST rpm-4.14.1.tar.bz2 4103880 BLAKE2B 
3fa7579a251b02ec89943b5505ad9ca7303a444eb64b1018fc74bc6dfb1c19d4f30d96189172c4450925f3357174cde70b298116b53b9155223b52a593a67aea
 SHA512 
29e95eaaf40a6ddf7f23446ea6cb8a1dcd12a45d4965595a705cb9130890d772a40ecfa475b189865da51248b3d2414e4f4b1a40cbfd7ca538c482d87c50a218
+DIST rpm-4.14.2.1.tar.bz2 4156574 BLAKE2B 
2eb0cf621eecef7d8977d28d52be922156ceb64b14d2aefda0f5a927b90cf3d3e9c055d773e05ed52422254397153b79557dc94bdb43ca28a2ea126153a43c1f
 SHA512 
0aad457f91918904c15649a1764ce7cbfaf38e083678031286e866f7997be0435a6b7b73596706d97e9263cff7b4df4a3150b142d81e6e3fddbfcf67bd83f990

diff --git a/app-arch/rpm/rpm-4.14.2.1.ebuild b/app-arch/rpm/rpm-4.14.2.1.ebuild
new file mode 100644
index 00000000000..7d1e6c3e056
--- /dev/null
+++ b/app-arch/rpm/rpm-4.14.2.1.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit autotools flag-o-matic perl-module python-single-r1 eapi7-ver
+
+DESCRIPTION="Red Hat Package Management Utils"
+HOMEPAGE="http://www.rpm.org
+       https://github.com/rpm-software-management/rpm";
+SRC_URI="http://ftp.rpm.org/releases/rpm-$(ver_cut 1-2).x/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-linux ~x86-linux"
+
+# Tests are broken. See bug 657500
+RESTRICT="test"
+
+IUSE="acl caps doc dbus lua nls python selinux test zstd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="!app-arch/rpm5
+       app-arch/libarchive
+       >=sys-libs/db-4.5:*
+       >=sys-libs/zlib-1.2.3-r1
+       >=app-arch/bzip2-1.0.1
+       >=dev-libs/popt-1.7
+       >=app-crypt/gnupg-1.2
+       dbus? ( sys-apps/dbus )
+       dev-libs/elfutils
+       virtual/libintl
+       >=dev-lang/perl-5.8.8
+       dev-libs/nss
+       python? ( ${PYTHON_DEPS} )
+       nls? ( virtual/libintl )
+       lua? ( >=dev-lang/lua-5.1.0:*[deprecated] )
+       acl? ( virtual/acl )
+       caps? ( >=sys-libs/libcap-2.0 )
+       zstd? ( app-arch/zstd )
+"
+DEPEND="${CDEPEND}
+       nls? ( sys-devel/gettext )
+       doc? ( app-doc/doxygen )
+       virtual/pkgconfig
+       test? ( sys-apps/fakechroot )
+"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-rpm )
+"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       eapply "${FILESDIR}"/${PN}-4.11.0-autotools.patch
+       eapply "${FILESDIR}"/${PN}-4.8.1-db-path.patch
+       eapply "${FILESDIR}"/${PN}-4.9.1.2-libdir.patch
+
+       # fix #356769
+       sed -i 's:%{_var}/tmp:/var/tmp:' macros.in || die "Fixing tmppath 
failed"
+       # fix #492642
+       sed -i "s:@__PYTHON@:${PYTHON}:" macros.in || die "Fixing %__python 
failed"
+
+       eapply_user
+
+       eautoreconf
+
+       # Prevent automake maintainer mode from kicking in (#450448).
+       touch -r Makefile.am preinstall.am
+}
+
+src_configure() {
+       append-cppflags -I"${EPREFIX}/usr/include/nss" 
-I"${EPREFIX}/usr/include/nspr"
+       econf \
+               --without-selinux \
+               --with-external-db \
+               --with-crypto=nss \
+               $(use_enable python) \
+               $(use_with doc hackingdocs) \
+               $(use_enable nls) \
+               $(use_with dbus) \
+               $(use_with lua) \
+               $(use_with caps cap) \
+               $(use_with acl) \
+               $(use_enable zstd zstd $(usex zstd yes no))
+}
+
+src_install() {
+       default
+
+       # remove la files
+       find "${ED}" -name '*.la' -delete || die
+
+       # fix symlinks to /bin/rpm (#349840)
+       for binary in rpmquery rpmverify;do
+               ln -sf rpm "${ED}"/usr/bin/${binary} || die
+       done
+
+       if ! use nls; then
+               rm -rf "${ED}"/usr/share/man/?? || die
+       fi
+
+       keepdir /usr/src/rpm/{SRPMS,SPECS,SOURCES,RPMS,BUILD}
+
+       dodoc CREDITS README*
+       if use doc; then
+               for docname in hacking librpm; do
+                       docinto "html/${docname}"
+                       dodoc -r "doc/${docname}/html/."
+               done
+       fi
+
+       # Fix perllocal.pod file collision
+       perl_delete_localpod
+}
+
+src_test() {
+       # Known to fail with FEATURES=usersandbox (bug #657500):
+       if has usersandbox $FEATURES ; then
+               ewarn "You are emerging ${P} with 'usersandbox' enabled." \
+                       "Expect some test failures or emerge with 
'FEATURES=-usersandbox'!"
+       fi
+
+       emake check
+}
+
+pkg_postinst() {
+       if [[ -f "${EROOT}"/var/lib/rpm/Packages ]] ; then
+               einfo "RPM database found... Rebuilding database (may take a 
while)..."
+               "${EROOT}"/usr/bin/rpmdb --rebuilddb --root="${EROOT}" || die
+       else
+               einfo "No RPM database found... Creating database..."
+               "${EROOT}"/usr/bin/rpmdb --initdb --root="${EROOT}" || die
+       fi
+}

Reply via email to